Xuất kho — Cập nhật

Cập nhật phiếu xuất kho.

Xem Markdown

Cập nhật một phiếu xuất theo ID.

Endpoint

MethodEndpointMô tả
PUT/api/v1/shops/{shop_id}/export/{export_id}Cập nhật phiếu xuất

Tham số

Tham sốVị tríKiểuBắt buộcMô tả
shop_idđường dẫnstringCóID cửa hàng
export_idđường dẫnstringCóID phiếu xuất
statusthânintegerKhôngTrạng thái mới

Kiểm thử tại chỗ

PUThttps://pos.hitechcloud.vn/api/v1/shops/{shop_id}/export/{export_id}

Nhập tham số và API Key rồi bấm Gửi thử. Key không được lưu lại.

Tham số đường dẫn
Body
cURL mẫu (PUT)
curl -X PUT "https://pos.hitechcloud.vn/api/v1/shops/shop_0a1b2c3d/export/exp_4001" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "export_list": {
    "status": 1
  }
}'
Phản hồi mẫu
{
  "status": "success",
  "data": {
    "id": "exp_4001",
    "status": 1
  }
}